Package libxyz :: Package ui :: Module border :: Class Border

[hide private]
[frames] | no frames]

# Class Border

source code

    lowui.BoxWidget --+
                      |
                     Border

Instance Methods | [hide private]

__init__(self, widget, title=None, title_attr=None, attr=None) Draw a line border around widget and set up a title | source code

render(self, (maxcol, maxrow), focus=False) Render widget | source code

_get_attr(self, widget) | source code

set_title_attr(self, attr) Set title attribute | source code

set_title(self, text) Set title | source code

Method Details | [hide private]

### __init__(self, widget, title=None, title_attr=None, attr=None)
(Constructor)

source code

Draw a line border around widget and set up a title

Parameters:
  - `widget` - Widget to wrap
  - `title` (libxyz.ui.lowui.Text object) - Title
  - `title_attr` - Title attribute
  - `attr` - Attribute of border